# Uses of Interface
org.kapott.hbci.passport.HBCIPassportInternal

Packages that use HBCIPassportInternal
Package
Description
org.kapott.hbci.comm
org.kapott.hbci.dialog
org.kapott.hbci.GV
Dieses Package enthält alle Klassen zur internen Repräsentation von (Highlevel-)Jobs.
org.kapott.hbci.manager
Package, welches diverse Klassen für den Zugriff auf die Funktionen von HBCI4Java enthält.
org.kapott.hbci.passport
Passports repräsentieren die HBCI-Sicherheitsmedien, mit denen Zugangsdaten eines Bankkunden verwaltet werden.

## Uses of HBCIPassportInternal in org.kapott.hbci.comm

Methods in org.kapott.hbci.comm that return HBCIPassportInternal
Modifier and Type
Method
Description
`protected HBCIPassportInternal`
Comm.`getParentPassport()`
Methods in org.kapott.hbci.comm with parameters of type HBCIPassportInternal
Modifier and Type
Method
Description
`static Comm`
Comm.`getInstance(String name, HBCIPassportInternal passport)`
Constructors in org.kapott.hbci.comm with parameters of type HBCIPassportInternal
Modifier
Constructor
Description
`protected`
`Comm(HBCIPassportInternal parentPassport)`
``
`CommPinTan(HBCIPassportInternal parentPassport)`
``
`CommStandard(HBCIPassportInternal parentPassport)`
invalid input: '<' @internal @brief The inputstream to read HBCI-messages from.
``
`PinTanProxyAuthenticator(HBCIPassportInternal passport)`

## Uses of HBCIPassportInternal in org.kapott.hbci.dialog

Methods in org.kapott.hbci.dialog that return HBCIPassportInternal
Modifier and Type
Method
Description
`HBCIPassportInternal`
DialogContext.`getPassport()`
Liefert den Passport.
Methods in org.kapott.hbci.dialog with parameters of type HBCIPassportInternal
Modifier and Type
Method
Description
`static DialogContext`
DialogContext.`create(HBCIKernelImpl kernel, HBCIPassportInternal passport)`
Erzeugt einen neuen Dialog-Context.

## Uses of HBCIPassportInternal in org.kapott.hbci.GV

Methods in org.kapott.hbci.GV that return HBCIPassportInternal
Modifier and Type
Method
Description
`HBCIPassportInternal`
HBCIJobImpl.`getMainPassport()`

## Uses of HBCIPassportInternal in org.kapott.hbci.manager

Constructors in org.kapott.hbci.manager with parameters of type HBCIPassportInternal
Modifier
Constructor
Description
``
`HBCIInstitute(HBCIKernelImpl kernel, HBCIPassportInternal passport, boolean forceAsParent)`
``
`HBCIUser(HBCIKernelImpl kernel, HBCIPassportInternal passport, boolean forceAsParent)`

## Uses of HBCIPassportInternal in org.kapott.hbci.passport

Classes in org.kapott.hbci.passport that implement HBCIPassportInternal
Modifier and Type
Class
Description
`class`
`AbstractDDVPassport`
`class`
`AbstractHBCIPassport`
Diese Klasse stellt die Basisklasse für alle "echten" Passport-Implementationen dar.
`class`
`AbstractPinTanPassport`
Abstrakte Basis-Implementierung des PIN/TAN-Supports.
`class`
`AbstractRDHPassport`
`class`
`AbstractRDHSWFileBasedPassport`
`class`
`AbstractRDHSWPassport`
`class`
`HBCIPassportAnonymous`
Passport-Implementation für anonyme Zugänge.
`class`
`HBCIPassportDDV`
Passport-Klasse für Sicherheitsverfahren DDV mit Medium Chipkarte.
`class`
`HBCIPassportDDVPCSC`
Implementierung eines DDV-Passports, welcher intern die neue Chipkarten-API "javax.smartcardio" von Java 6 verwendet.
`class`
`HBCIPassportPinTan`
Passport-Klasse für HBCI mit PIN/TAN.
`class`
`HBCIPassportPinTanMemory`
Implementierung eines PIN/TAN-Passport, welcher keine Daten im Dateisystem ablegt sondern alle Daten im Speicher haelt.
`class`
`HBCIPassportRAH10`
Implementierung des Passports fuer RAH10-Schluesseldateien.
`class`
`HBCIPassportRDHNew`
Passport-Klasse für RDH-Zugänge mit Sicherheitsmedium "Datei".
`class`
`HBCIPassportRDHXFile`
Passport-Klasse für die Verwendung von RDH-2- und RDH-10-Schlüsseldateien mit HBCI4Java.
`class`
`HBCIPassportRSA`
HBCI-Passport fuer RDH-Chipkarten.
`class`
`HBCIPassportSIZRDHFile`
Passport-Klasse für die Verwendung von SIZ-RDH-Schlüsseldateien mit HBCI4Java.
Methods in org.kapott.hbci.passport that return HBCIPassportInternal
Modifier and Type
Method
Description
`HBCIPassportInternal`
HBCIPassportList.`getMainPassport()`
`HBCIPassportInternal`
HBCIPassportList.`getPassport(int idx)`
Methods in org.kapott.hbci.passport with parameters of type HBCIPassportInternal
Modifier and Type
Method
Description
`void`
HBCIPassportList.`addPassport(HBCIPassportInternal passport, String role)`